<?xml version="1.0" encoding="UTF-8"?>
<!--Licensed to the Apache Software Foundation (ASF) under one or more
    contributor license agreements.  See the NOTICE file distributed with
    this work for additional information regarding copyright ownership.
    The ASF licenses this file to You under the Apache License, Version 2.0
    (the "License"); you may not use this file except in compliance with
    the License.  You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.-->
<!--Configuration for the innermost ring of a Geronimo server.
This module should only contain critical services needed to
run other Configurations - for example, the ServerInfo, Logging
and Repository services used to load them.

This module should *NOT* be used to provide server or application
specific services - those should be provided by children.-->
<module xmlns="http://geronimo.apache.org/xml/ns/deployment-1.2">
  <!--ServerInfo service-->
  <environment>
    <moduleId>
      <groupId>org.apache.geronimo.framework</groupId>
      <artifactId>j2ee-system</artifactId>
      <version>3.0.0</version>
      <type>car</type>
    </moduleId>
    <dependencies>
      <dependency>
        <groupId>org.apache.geronimo.framework</groupId>
        <artifactId>geronimo-common</artifactId>
        <version>3.0.0</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.geronimo.framework</groupId>
        <artifactId>geronimo-kernel</artifactId>
        <version>3.0.0</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.geronimo.specs</groupId>
        <artifactId>geronimo-osgi-registry</artifactId>
        <version>1.1</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.ops4j.pax.logging</groupId>
        <artifactId>pax-logging-api</artifactId>
        <version>1.6.4</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>asm</groupId>
        <artifactId>asm-all</artifactId>
        <version>3.2</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.servicemix.bundles</groupId>
        <artifactId>org.apache.servicemix.bundles.cglib</artifactId>
        <version>2.1_3_4</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.xbean</groupId>
        <artifactId>xbean-finder</artifactId>
        <version>3.11.1</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.xbean</groupId>
        <artifactId>xbean-bundleutils</artifactId>
        <version>3.11.1</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.xbean</groupId>
        <artifactId>xbean-reflect</artifactId>
        <version>3.11.1</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.servicemix.bundles</groupId>
        <artifactId>org.apache.servicemix.bundles.xstream</artifactId>
        <version>1.3_3</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.servicemix.bundles</groupId>
        <artifactId>org.apache.servicemix.bundles.xpp3</artifactId>
        <version>1.1.4c_3</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.geronimo.specs</groupId>
        <artifactId>geronimo-stax-api_1.2_spec</artifactId>
        <version>1.1</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.geronimo.framework</groupId>
        <artifactId>geronimo-crypto</artifactId>
        <version>3.0.0</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.geronimo.framework</groupId>
        <artifactId>geronimo-system</artifactId>
        <version>3.0.0</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.geronimo.framework</groupId>
        <artifactId>geronimo-cli</artifactId>
        <version>3.0.0</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>commons-cli</groupId>
        <artifactId>commons-cli</artifactId>
        <version>1.2</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.geronimo.framework</groupId>
        <artifactId>geronimo-pax-logging</artifactId>
        <version>3.0.0</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.commons</groupId>
        <artifactId>commons-jexl</artifactId>
        <version>2.0</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>commons-lang</groupId>
        <artifactId>commons-lang</artifactId>
        <version>2.6</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.geronimo.specs</groupId>
        <artifactId>geronimo-jaxb_2.2_spec</artifactId>
        <version>1.0.1</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.geronimo.bundles</groupId>
        <artifactId>jaxb-impl</artifactId>
        <version>2.2.3-1_1</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.geronimo.specs</groupId>
        <artifactId>geronimo-activation_1.1_spec</artifactId>
        <version>1.1</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.geronimo.bundles</groupId>
        <artifactId>woodstox-core-asl</artifactId>
        <version>4.1.2_1</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.codehaus.woodstox</groupId>
        <artifactId>stax2-api</artifactId>
        <version>3.1.1</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.felix</groupId>
        <artifactId>org.apache.felix.bundlerepository</artifactId>
        <version>1.6.6</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.geronimo.framework</groupId>
        <artifactId>geronimo-obr</artifactId>
        <version>3.0.0</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.geronimo.bundles</groupId>
        <artifactId>sxc-jaxb</artifactId>
        <version>0.7.3_1</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.geronimo.bundles</groupId>
        <artifactId>sxc-runtime</artifactId>
        <version>0.7.3_1</version>
        <type>jar</type>
      </dependency>
      <dependency>
        <groupId>org.apache.felix</groupId>
        <artifactId>org.apache.felix.configadmin</artifactId>
        <version>1.2.4</version>
        <type>jar</type>
      </dependency>
    </dependencies>
    <bundle-activator>org.apache.geronimo.system.osgi.BootActivator</bundle-activator>
    <hidden-classes/>
    <non-overridable-classes/>
    <private-classes/>
  </environment>
  <gbean name="ServerInfo" class="org.apache.geronimo.system.serverinfo.BasicServerInfo">
    <attribute name="useSystemProperties">true</attribute>
  </gbean>
  <!--Repository-->
  <gbean name="Repository" class="org.apache.geronimo.system.repository.Maven2Repository">
    <attribute name="root">repository/</attribute>
    <reference name="ServerInfo">
      <name>ServerInfo</name>
    </reference>
  </gbean>
  <!--Pinged and changed when the server completes loading when all the persistent configuration is loaded-->
  <gbean name="ServerStatus" class="org.apache.geronimo.system.main.ServerStatusGBean">
    <attribute name="serverStarted">false</attribute>
  </gbean>
  <!--<gbean name="ConfigurationDataTransformer" class="org.apache.geronimo.kernel.config.transformer.GroovyTransformer" />-->
  <!--Configuration Store service-->
  <gbean name="Local" class="org.apache.geronimo.system.configuration.RepositoryConfigurationStore">
    <reference name="Repository">
      <name>Repository</name>
    </reference>
    <!--<reference name="ConfigurationDataTransformer">-->
    <!--<name>ConfigurationDataTransformer</name>-->
    <!--</reference>-->
  </gbean>
  <!--User-editable attribute service-->
  <gbean name="AttributeManager" class="org.apache.geronimo.system.configuration.LocalAttributeManager">
    <reference name="ServerInfo">
      <name>ServerInfo</name>
    </reference>
    <attribute name="configFile">var/config/config.xml</attribute>
    <attribute name="substitutionsFile">var/config/config-substitutions.properties</attribute>
    <attribute name="substitutionPrefix">org.apache.geronimo.config.substitution.</attribute>
  </gbean>
  <!--ArtifactManager-->
  <gbean name="ArtifactManager" class="org.apache.geronimo.kernel.repository.DefaultArtifactManager"/>
  <!--ArtifactResolver-->
  <gbean name="ArtifactResolver" class="org.apache.geronimo.system.resolver.ExplicitDefaultArtifactResolver">
    <reference name="ArtifactManager">
      <name>ArtifactManager</name>
    </reference>
    <reference name="Repositories"/>
    <attribute name="versionMapLocation">var/config/artifact_aliases.properties</attribute>
    <reference name="ServerInfo">
      <name>ServerInfo</name>
    </reference>
    <reference name="ConfigurationManagers">
      <name>ConfigurationManager</name>
    </reference>
  </gbean>
  <!--Configuration Manager service-->
  <gbean name="ConfigurationManager" class="org.apache.geronimo.kernel.config.EditableKernelConfigurationManager">
    <!--<attribute name="defaultStoreNameQuery">?name=MasterConfigurationStore</attribute>-->
    <attribute name="defaultStoreNameQuery">?name=Local</attribute>
    <reference name="Repositories"/>
    <reference name="Stores"/>
    <reference name="Watchers"/>
    <reference name="AttributeStore">
      <name>AttributeManager</name>
    </reference>
    <reference name="PersistentConfigurationList">
      <type>AttributeStore</type>
      <name>AttributeManager</name>
    </reference>
    <reference name="ArtifactManager">
      <name>ArtifactManager</name>
    </reference>
    <reference name="ArtifactResolver">
      <name>ArtifactResolver</name>
    </reference>
  </gbean>
  <gbean name="DependencyManager" class="org.apache.geronimo.system.configuration.DependencyManager">
    <reference name="Repositories"/>
    <reference name="ArtifactResolver">
      <name>ArtifactResolver</name>
    </reference>
  </gbean>
  <gbean name="Logger" class="org.apache.geronimo.system.logging.OSGILogServiceWrapper"></gbean>
  <gbean name="GeronimoOBR" class="org.apache.geronimo.obr.GeronimoOBRGBean">
    <reference name="Repository">
      <name>Repository</name>
    </reference>
    <reference name="ServerInfo">
      <name>ServerInfo</name>
    </reference>
    <attribute name="exclusions">org.apache.felix/org.apache.felix.framework//,
             org.eclipse.osgi/org.eclipse.osgi//,
             org.osgi/org.osgi.core//,
             org.osgi/org.osgi.compendium//</attribute>
  </gbean>
  <gbean name="EmbeddedDaemon" class="org.apache.geronimo.system.main.EmbeddedDaemon"/>
</module>